Subject: Re: [bug#47821] [PATCH] Update htslib, bcftools, samtools, bedtools
From: Roel Janssen <[email-masked]>
To: Efraim Flashner <[email-masked]>
Cc: [email-masked]
Date: Thu, 29 Apr 2021 12:21:37 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 4/29/21 8:43 AM, Efraim Flashner wrote:
> On Wed, Apr 28, 2021 at 04:05:09PM +0200, Roel Janssen wrote:
>> On Tue, 2021-04-27 at 10:32 +0300, Efraim Flashner wrote:
>>> On Fri, Apr 16, 2021 at 11:55:39AM +0200, Roel Janssen wrote:
>>>> Hi Guix,
>>>>
>>>> The following patches update htslib, bcftools, samtools, and
>>>> bedtools.
>>>> I've succesfully built bedtools with the latest samtools instead of
>>>> the
>>>> 1.9 version.
>>> These look good and are ready for merging. Can you take a look at
>>> python-pybedtools? There's a new version out which I hope builds with
>>> the newer version of bedtools.
>>>
>>> Thanks.
>>>
>> I looked at python-pybedtools and came up with the following patch.
>> The test phase is still not entirely happy because it ends with:
>>
>> ---
>> ================ 497 passed, 3 xfailed, 426 warnings in 25.49s
>> =================
>> Error in atexit._run_exitfuncs:
>> Traceback (most recent call last):
>>    File "/gnu/store/rz42ba0my9vrgbkjpkzr2drmnjk5ah50-python-
>> 3.8.2/lib/python3.8/shutil.py", line 704, in rmtree
>>      orig_st = os.lstat(path)
>> ---
>>
>> I attached the patch that I have that at least builds the newer version
>> of python-pybedtools.  I don't know how to further test it.
>>
>> Can I in the meantime already push the patches for updating htslib,
>> bcftools, samtools and bedtools?
>>
> Yeah, those patches LGTM.
Thanks. I pushed these.

For python-pybedtools, I think a little bit more testing is required.  I 
can take a look at it in the second week of May, so hopefully someone 
beats me to it. :)

Kind regards,
Roel Janssen